# Background

- morphological analysis is most typically implement with finite state transducers (FSTs)
- the morphology of accented Greek is not reversible with FSTs due to the complex interactions of morphology and mutable accent
- Kanones addresses this by using the "analysis by synthesis" algorithm first developed by Kosman and Smith in the mid-1980s

## Analysis by synthesis

- the morphology of Greek *can* be analyzed with FSTs if accent is not considered
- accent *can* be algorithmically added to a lexical token *if* the morphology is already known

Consequenlty, to analyze a token,  the approach `Kanones` takes is:

1. generate a normalized accented form:
    - drop accents added from enclitics
    - convert barytone accents to oxytone
2. generate a form with all accents stripped
3. analyze the accent-free form using a FST.  The result is an Array of 0 or more analyses that are considered hypotheses.
4. For each hypothesis, add the appropriate accent to the unaccented string, and compare the result to the normalized accented form created in step 1.  If they match, the hypothetical analysis is valid.
